Dev Substrate 开发环境配置 - 2) 为什么 substratekitties 等应用教程测试失败

tony · 发布于 2020年03月04日 · 90 次阅读

为什么 substratekitties 等应用教程测试失败

按照教程

https://substrate.dev/substrate-collectables-workshop/#/zh-cn/README

成功安装substratekitties应用后,使用 https://polkadot.js.org/apps/
进行测试时报如下错误:

submitAndWatchExtrinsic(extrinsic: Extrinsic): ExtrinsicStatus:: 1010: Invalid Transaction: 0

原因

substratekitties应用是基于 substrate 1.0 的,而 polkadot.js 的网页钱包已经切换到 substrate 2.0 了,所以存在兼容性问题

解决方案

如何查看版本
在 polkadot.js 网页钱包左下角可以看到 substrate 以及 apps 的版本

共收到 0 条回复
需要 登录 后方可回复, 如果你还没有账号请点击这里 注册